%define fw_version 5.24

Summary:	KDE Frameworks 5 documentation generation module
Name:		kdoctools
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
Requires:	%{name}-i18n
Requires:	docbook-dtd45-xml
Requires:	docbook-style-xsl

%description
KDE Frameworks 5 documentation generation module.

KDocTools provides tools to generate documentation in various format from
DocBook files.

%files
%{_kde5_bindir}/checkXML5
%{_kde5_bindir}/meinproc5
%{_kde5_datadir}/kf5/kdoctools/
%{_kde5_mandir}/man1/checkXML5.1*
%{_kde5_mandir}/man7/kf5options.7*
%{_kde5_mandir}/man7/qt5options.7*
%{_kde5_mandir}/man8/meinproc5.8*

#----------------------------------------------------------------------------

%package i18n
Summary:	KDocTools translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDocTools translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define devkf5doctools %mklibname kf5doctools -d

%package -n %{devkf5doctools}
Summary:	Development files for KDE Frameworks 5 documentation generation module
Group:		Development/KDE and Qt
Requires:	%{name}
Requires:	karchive-devel
Provides:	%{name}-devel = %{EVRD}
Provides:	xsltkde-devel = %{EVRD}
Provides:	kf5doctools-devel = %{version}

%description -n %{devkf5doctools}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5doctools}
%{_kde5_includedir}/KF5/XsltKde
%{_kde5_libdir}/cmake/KF5DocTools
%{_kde5_libdir}/libKF5XsltKde.a

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-kde --with-man --with-html

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (b549637) New version 5.24.0


